POPD(1)

NAME
popd - move through directory stack

SYNOPSIS
popd

DESCRIPTION

popd removes the top directory from the directory stack and changes the working directory to the new top directory. Use pushd to add directories to the stack.

The -h or --help option displays help about using this command.

EXAMPLE

pushd /usr/src
# Working directory is now /usr/src
# Directory stack contains /usr/src
pushd /usr/src/fish-shell
# Working directory is now /usr/src/fish-shell
# Directory stack contains /usr/src /usr/src/fish-shell
popd
# Working directory is now /usr/src
# Directory stack contains /usr/src

SEE ALSO

•   the dirs command to print the directory stack

•   the cdh command which provides a more intuitive way to navigate to recently visited directories.

COPYRIGHT
2023, fish-shell developers